=== src/include/CMakeLists.txt ===
set(DISCLAMER "
/***************************************************************************
 *                                                                         *
 * This header file is AUTO GENERATED.                                     *
 * Do not edit this file, otherwise your changes will be discarded in the  *
 * next cmake run.                                                         *
 *                                                                         *
 ***************************************************************************/")

configure_file (
	"${CMAKE_CURRENT_SOURCE_DIR}/kdb.h"
	"${CMAKE_CURRENT_BINARY_DIR}/kdb.h"
	)

configure_file (
	"${CMAKE_CURRENT_SOURCE_DIR}/kdbvar.h"
	"${CMAKE_CURRENT_BINARY_DIR}/kdbvar.h"
	)

configure_file (
	"${CMAKE_CURRENT_SOURCE_DIR}/kdbconfig.h"
	"${CMAKE_CURRENT_BINARY_DIR}/kdbconfig.h"
	)

configure_file (
	"${CMAKE_CURRENT_SOURCE_DIR}/kdbversion.h"
	"${CMAKE_CURRENT_BINARY_DIR}/kdbversion.h"
	)

install (FILES
	"${CMAKE_CURRENT_BINARY_DIR}/kdbconfig.h"
	kdbextension.h
	"${CMAKE_CURRENT_BINARY_DIR}/kdb.h"
	kdbinternal.h
	kdbmodule.h
	kdbos.h
	kdbplugin.h
	kdbprivate.h
	kdbtools.h
	"${CMAKE_CURRENT_BINARY_DIR}/kdbvar.h"
	"${CMAKE_CURRENT_BINARY_DIR}/kdbversion.h"
	DESTINATION include/elektra)
