=== debian/control ===
Source: elektra
Priority: required
Maintainer: Simon Law <sfllaw@debian.org>
Uploaders: Pier Luigi Fiorini <pierluigi.fiorini@mockup.org>
Build-Depends: debhelper (>= 4.1.0), libxml2-dev, doxygen, libboost-dev, cmake
Standards-Version: 3.7.2
Section: base

Package: libelektra-dev
Section: libdevel
Architecture: any
Depends: libelektra2 (= ${Source-Version}), libc6-dev
Description: a framework to get system and user values
 The objective of the Elektra Project is to help create a pervasive, 
 ubiquitous configuration system. This is an entire ecosystem, much
 more than a piece of code. This section lists the work of some 
 people that are helping to build it.
 .
 This package contains the files needed to compile and link
 programs which use Elektra.

Package: libelektra2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: a framework to get system and user values
 The objective of the Elektra Project is to help create a pervasive, 
 ubiquitous configuration system. This is an entire ecosystem, much
 more than a piece of code. This section lists the work of some 
 people that are helping to build it.

Package: libelektra-bin
Section: admin
Architecture: any
Depends: ${shlibs:Depends}
Description: binaries for libelektra2
 The objective of the Elektra Project is to help create a pervasive, 
 ubiquitous configuration system. This is an entire ecosystem, much
 more than a piece of code. This section lists the work of some 
 people that are helping to build it.
 .
 This package contains the Elektra kdb program and man pages.
